Bug 184450 - Review Request: wcstools
Review Request: wcstools
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 16:37 EST by Sergio Pascual
Modified: 2008-07-16 20:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-26 13:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2006-03-08 16:37:15 EST
Spec Name or Url: http://t-rex.fis.ucm.es/~spr/wcstools.spec
SRPM Name or Url: http://t-rex.fis.ucm.es/~spr/wcstools-3.6.3-1.fc4.src.rpm
Description: Software utilities to display and manipulate the WCS of a FITS image
Comment 1 Dan Horák 2006-06-14 08:37:34 EDT
All comment are lost, so I am moving this bug to the previous state.
Comment 2 Sergio Pascual 2006-06-14 09:23:27 EDT
Great :(

The current version of the packages is here:

I have fixed the most important problems with the code and asked upstream about
the license. They say that the binaries should be GPL and the lib LGPL. They are
also working on the warnings that appeared during the compilation
Comment 3 Dan Horák 2006-06-14 11:12:56 EDT
the URL is http://t-rex.fis.ucm.es/~spr/wcstools-3.6.4-3.fc5.src.rpm :-)

And I think that everything is cleared and so I will prepare formal review.

Comment 4 Sergio Pascual 2006-06-23 05:21:46 EDT
A new upstream version wcstools has been released. It now includes de license files.

These are the new SRPM and SPEC:
Comment 5 Dan Horák 2006-06-26 13:10:13 EDT
- no defective rpmlint output
- package name OK
- spec file name OK, is in English and is legible
- package meets the Packaging Guidelines
- licenses OK (GPL/LGPL) and are included
- source matches upstream
- compiles and builds at least on i386
- no BuildRequires needed
- no localized files
- has a shared lib and uses ldconfig as scriptlet shell
- creates and owns a directory and does not conflict with existing dirs
- no duplicates files, permissions are set properly, uses %defattr
- has %clean section
- consistent use of macros
- contains code
- no large docs, %doc is not required during runtime
- has devel subpackage, no pkgconfig file
- no .la libtool archives
- not a GUI application

Comment 6 Sergio Pascual 2008-07-16 15:45:37 EDT
Package Change Request
Package Name: wcstools
New Branches: EL-5
Comment 7 Kevin Fenzi 2008-07-16 20:14:52 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.